## START: Set by rpmautospec
## (rpmautospec version 0.3.0)
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global pypi_name podman
%global desc %{pypi_name} is a library of bindings to use the RESTful API for Podman.

%global pypi_dist 4
%global built_tag v4.3.0
%global built_tag_strip %(b=%{built_tag}; echo ${b:1})
%global gen_version %(b=%{built_tag_strip}; echo ${b/-/"~"})

Name: python-%{pypi_name}
Epoch: 3
Version: %{gen_version}
License: ASL 2.0
Release: %autorelease
Summary: RESTful API for Podman
URL: https://github.com/containers/%{pypi_name}-py
# Tarball fetched from upstream
Source0: %{url}/archive/%{built_tag}.tar.gz
BuildArch: noarch

%description
%desc

%package -n python%{python3_pkgversion}-%{pypi_name}
BuildRequires: git-core
BuildRequires: python%{python3_pkgversion}-devel
BuildRequires: pyproject-rpm-macros
BuildRequires: python%{python3_pkgversion}-requests
BuildRequires: python%{python3_pkgversion}-toml
Requires: python%{python3_pkgversion}-requests
Requires: python%{python3_pkgversion}-toml
Provides: %{pypi_name}-py = %{version}-%{release}
Provides: python%{python3_pkgversion}dist(%{pypi_name}) = %{pypi_dist}
Provides: python%{python3_version}dist(%{pypi_name}) = %{pypi_dist}
Obsoletes: python%{python3_pkgversion}-%{pypi_name}-api <= 0.0.0-1
Provides: python%{python3_pkgversion}-%{pypi_name}-api = %{epoch}:%{version}-%{release}
Summary: %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}

%description -n python%{python3_pkgversion}-%{pypi_name}
%desc

%prep
%autosetup -Sgit -n %{pypi_name}-py-%{built_tag_strip}

%generate_buildrequires
%pyproject_buildrequires %{?with_tests:-t}

%build
export PBR_VERSION="0.0.0"
%pyproject_wheel

%install
export PBR_VERSION="0.0.0"
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python%{python3_pkgversion}-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md

%changelog
* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> 3:4.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Oct 21 2022 Lokesh Mandvekar <lsm5@fedoraproject.org> 3:4.3.0-1
- bump to v4.3.0

* Fri Oct 07 2022 Lokesh Mandvekar <lsm5@fedoraproject.org> 3:4.2.0-9
- remove unnecessary macros

* Wed Oct 05 2022 Lokesh Mandvekar <lsm5@fedoraproject.org> 3:4.2.0-8
- remove debbuild macros to comply with Fedora guidelines

* Wed Sep 28 2022 Leif Liddy <leif.liddy@gmail.com> 3:4.2.0-7
- add missing requirements

* Thu Sep 15 2022 Lokesh Mandvekar <lsm5@fedoraproject.org> 3:4.2.0-6
- remove conflicts: python3-podman-api

* Thu Sep 15 2022 Lokesh Mandvekar <lsm5@fedoraproject.org> 3:4.2.0-5
- also Provides: python3-podman-api

* Thu Sep 15 2022 Lokesh Mandvekar <lsm5@fedoraproject.org> 3:4.2.0-4
- Resolves: 2126942 - obsolete python-podman-api

* Fri Sep 09 2022 Lokesh Mandvekar <lsm5@fedoraproject.org> 3:4.2.0-3
- Resolves: #2120337

* Wed Aug 17 2022 Lokesh Mandvekar <lsm5@fedoraproject.org> 3:4.2.0-2
- use easier tag macros to make both fedora and debbuild happy

* Wed Aug 10 2022 RH Container Bot <rhcontainerbot@fedoraproject.org> 3:4.2.0-1
- auto bump to v4.2.0

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> 3:4.0.0-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jun 14 2022 Lokesh Mandvekar <lsm5@fedoraproject.org> 3:4.0.0-14
- fix vendor conditional macro

* Tue Jun 14 2022 Lokesh Mandvekar <lsm5@fedoraproject.org>
- adjust dependencies

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> 3:4.0.0-12
- Rebuilt for Python 3.11

* Fri May 27 2022 Lokesh Mandvekar <lsm5@fedoraproject.org> 3:4.0.0-11
- build deb packages using debbuild

* Wed Mar 09 2022 Lokesh Mandvekar <lsm5@fedoraproject.org> 3:4.0.0-10
- adjust toml dep for f35

* Wed Mar 09 2022 Lokesh Mandvekar <lsm5@fedoraproject.org> 3:4.0.0-9
- centos8 conditionals for file listings

* Wed Mar 09 2022 Lokesh Mandvekar <lsm5@fedoraproject.org> 3:4.0.0-8
- adjust build conditionals

* Wed Mar 09 2022 Lokesh Mandvekar <lsm5@fedoraproject.org> 3:4.0.0-7
- fix conditional

* Wed Mar 09 2022 Lokesh Mandvekar <lsm5@fedoraproject.org>
- fix conditional

* Wed Mar 09 2022 Lokesh Mandvekar <lsm5@fedoraproject.org>
- fix conditional

* Wed Mar 09 2022 Lokesh Mandvekar <lsm5@fedoraproject.org>
- fix error in conditionals

* Wed Mar 09 2022 Lokesh Mandvekar <lsm5@fedoraproject.org>
- special conditionals only for rhel8

* Wed Mar 09 2022 Lokesh Mandvekar <lsm5@fedoraproject.org> 3:4.0.0-2
- adjust dependencies for centos on podman4 copr

* Wed Mar 09 2022 Lokesh Mandvekar <lsm5@fedoraproject.org> 3:4.0.0-1
- bump to v4.0.0

* Thu Jan 27 2022 Lokesh Mandvekar <lsm5@fedoraproject.org> 3:3.2.1-3
- switch to autospec

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 3:3.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Sep 21 2021 RH Container Bot <rhcontainerbot@fedoraproject.org> 3:3.2.1-1
- python-podman-3:3.2.1-1

* Mon Aug 16 2021 Lokesh Mandvekar <lsm5@fedoraproject.org> 3:3.2.0-2
- update build dir

* Mon Aug 16 2021 RH Container Bot <rhcontainerbot@fedoraproject.org> 3:3.2.0-1
- python-podman-3:3.2.0-1

* Mon Aug 16 2021 Lokesh Mandvekar <lsm5@fedoraproject.org> 3:3.1.2.4-4
- update build url format

* Thu Aug 12 2021 Lokesh Mandvekar <lsm5@fedoraproject.org> 3:3.1.2.4-3
- update macros for rhcontainerbot autobuilds

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> 3:3.1.2.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jun 09 2021 Lokesh Mandvekar <lsm5@fedoraproject.org> 3:3.1.2.4-1
- python-podman-3:3.1.2.4-5
- First build shipped in Fedora
